Workspace
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/workspaces/active" \ -H "Content-Type: application/json" \ -d '{ "workspace": "string" }'{ "workspace": { "id": "string", "name": "string", "slug": "string" }}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/workspace" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "ok": true}Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/workspace/github"{ "configured": true, "path": "string", "events": [ "string" ]}An account-scoped API key reaches every workspace its owner belongs to; name one per call with the X-Voidtrack-Workspace header or a workspace query parameter.
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/workspaces"{ "workspaces": [ { "id": "string", "name": "string", "slug": "string", "role": "admin", "isActive": true } ]}Also makes the new workspace the caller's session-active workspace.
Authorization
apiKey Workspace scoped API key, printed once by pnpm seed or POST /api-keys.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "workspace": { "id": "string", "name": "string", "slug": "string" }}